// src/cli.rs

use std::path::PathBuf;

use clap::Parser;

#[derive(Parser)]
#[command(version, about, long_about = None)]
pub struct Cli {
    /// Selects a custom config file
    pub config: Option<PathBuf>,

    /// Sets output directory (optional, defaults to current directory)
    #[arg(last = true)]
    pub output: Option<PathBuf>,
    // TODO more options
    // TODO verbose mode
}
